### Method

# Gtk ComboBoxget_active

deprecated: 4.10

#### Declaration [src]

    int
    gtk_combo_box_get_active (
      GtkComboBox* combo_box
    )

#### Description [src]

Returns the index of the currently active item.

If the model is a non-flat treemodel, and the active item is not an immediate child of the root of the tree, this function returns `gtk_tree_path_get_indices (path)[0]`, where `path` is the `GtkTreePath` of the active item.

Deprecated since: 4.10

Use `GtkDropDown`

Gets property | `Gtk.ComboBox:active`

#### Return value

Type: `int`

An integer which is the index of the currently active item, or -1 if there’s no active item.